### Constructor

# WPEPlatform Clipboard new

#### Declaration [src]

    WPEClipboard*
    wpe_clipboard_new (
      WPEDisplay* display
    )

#### Description [src]

Create a new `WPEClipboard` for `display`. The clipboard created is always local, so its contents are not shared with other applications.

#### Parameters

`display`

  Type: `WPEDisplay`

  A `WPEDisplay`.

  The data is owned by the caller of the function.

#### Return value

Type: `WPEClipboard`

A new `WPEClipboard`.

The caller of the function takes ownership of the data, and is responsible for freeing it.